#
# spec file for package ftpdir (Version 98.8.4)
# 
# Copyright  (c)  1998  S.u.S.E. GmbH  Fuerth, Germany.
#
# please send bugfixes or comments to feedback@suse.de.
#

Vendor:       S.u.S.E. GmbH, Fuerth, Germany
Distribution: S.u.S.E. Linux 5.3 (i386)
Name:         ftpdir
Release:      0
Copyright:    
Group: 
Provides:     
Requires: 
Conflicts:    
Autoreqprov:  on
Packager:     feedback@suse.de

Version:      98.8.4
Summary:      A sample "FTP configuration"
Source: ftpdir.tar.gz
Source1: ncompress-4.2.4.tar.gz
Source2: fileutils-3.16.tar.gz
Source3: gzip-1.2.4.tar.gz
Source4: tar-1.11.8.tar.gz
Patch: ftpdir.dif
%description
This package contains a 'change-root'-configuration for
anonymous ftp.

%prep
%setup -n ftpdir -a 1 -a 2 -a 3 -a 4
%patch
%build
( cd ncompress-4.2.4
  make -f Makefile.Linux compile )
( cd fileutils-3.16
  make -f Makefile.Linux compile )
( cd gzip-1.2.4
  make -f Makefile.Linux compile )
( cd tar-1.11.8
  make -f Makefile.Linux compile )
%install
mkdir -p /usr/local/ftp/bin
mkdir -p /usr/local/ftp/dev
mkdir -p /usr/local/ftp/lib
mkdir -p /usr/local/ftp/pub
mkdir -p /usr/local/ftp/usr/bin
cp -a config/etc /usr/local/ftp
cp -a config/msgs /usr/local/ftp
install -s ncompress-4.2.4/compress /usr/local/ftp/bin
install -s tar-1.11.8/src/tar /usr/local/ftp/bin
install -s fileutils-3.16/src/ls /usr/local/ftp/bin
install -s fileutils-3.16/src/ls /usr/local/ftp/usr/bin
install -s gzip-1.2.4/gzip /usr/local/ftp/usr/bin
Check
%files
/usr/local/ftp/bin
/usr/local/ftp/dev
/usr/local/ftp/lib
/usr/local/ftp/pub
/usr/local/ftp/usr
%dir /usr/local/ftp/etc
%config /usr/local/ftp/etc/group
%config /usr/local/ftp/etc/passwd
%dir /usr/local/ftp/msgs
%config /usr/local/ftp/msgs/msg.dead
%config /usr/local/ftp/msgs/welcome.msg

